# FoundationClasses
TKAdvTools
GraphTools

# GraphTools_SC Class Reference

This class is used to identify a Strong Component.
The user has not to used its methods.
.

`#include <GraphTools_SC.hxx>`

Inheritance diagram for GraphTools_SC:

[legend]

## Public Member Functions

Standard_EXPORT | GraphTools_SC ()
Standard_EXPORT void | Reset ()
Standard_EXPORT void | AddVertex (const Standard_Integer V)
Standard_EXPORT Standard_Integer | NbVertices () const
Standard_EXPORT Standard_Integer | GetVertex (const Standard_Integer index) const
Standard_EXPORT void | AddFrontSC (const Handle(GraphTools_SC)&SC)
Standard_EXPORT const GraphTools_SCList & | GetFrontSC () const
Standard_EXPORT void | AddBackSC (const Handle(GraphTools_SC)&SC)
Standard_EXPORT const GraphTools_SCList & | GetBackSC () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

GraphTools_SCList | myBackSC
TColStd_SequenceOfInteger | myVertices
GraphTools_SCList | myFrontSC

## Constructor & Destructor Documentation

Standard_EXPORT GraphTools_SC::GraphTools_SC | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void GraphTools_SC::AddBackSC | ( | const Handle(GraphTools_SC)& | SC | ) |

Standard_EXPORT void GraphTools_SC::AddFrontSC | ( | const Handle(GraphTools_SC)& | SC | ) |

Standard_EXPORT void GraphTools_SC::AddVertex | ( | const Standard_Integer | V | ) |

Standard_EXPORT const GraphTools_SCList& GraphTools_SC::GetBackSC | ( |  | ) | const

Standard_EXPORT const GraphTools_SCList& GraphTools_SC::GetFrontSC | ( |  | ) | const

Standard_EXPORT Standard_Integer GraphTools_SC::GetVertex | ( | const Standard_Integer | index | ) | const

Standard_EXPORT const GraphTools_SC::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MMgt_TShared.

Standard_EXPORT Standard_Integer GraphTools_SC::NbVertices | ( |  | ) | const

Standard_EXPORT void GraphTools_SC::Reset | ( |  | ) |

## Field Documentation

GraphTools_SCList GraphTools_SC::myBackSC `[private]`

GraphTools_SCList GraphTools_SC::myFrontSC `[private]`

TColStd_SequenceOfInteger GraphTools_SC::myVertices `[private]`

The documentation for this class was generated from the following file:

- GraphTools_SC.hxx